Page MenuHomePhabricator

Mobile editor needs basic formatting tools
Closed, ResolvedPublic

Description

Basically suggested on https://de.wikipedia.org/w/index.php?title=Wikipedia_Diskussion:Kurier&diff=139484513&oldid=139484507 by Atlasowa:

The mobile wikitext editor needs some basic formatting features like WikiEditor (or MediaWiki's basic formatting buttons) for desktop editor, e.g. Bold, italic, link and especially ref to make it easier to add references.

Event Timeline

Florian created this task.Mar 6 2015, 1:45 PM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Needs Triage.
Florian claimed this task.
Florian added a project: Readers-Web-Backlog.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 1:45 PM

I talked to @Jdlrobson in irc and we've agreed to make an A/B test, one editor without any features (like the actual one), and one with some very basic features (like the basic mediawiki editor) to see if the editing quality and/or quantity increases or not :)

I also questioned whether right now this is a good use of our time. See T91796 for something I think is definitely a good use of time :)

Change 194945 had a related patch set uploaded (by Florianschmidtwelzow):
WIP: Add basic features to mobile wikitext editor

https://gerrit.wikimedia.org/r/194945

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 7:17 AM

Change 205010 had a related patch set uploaded (by Florianschmidtwelzow):
Add target mobile to jquery.textSelection

https://gerrit.wikimedia.org/r/205010

Change 205010 merged by jenkins-bot:
Add target mobile to jquery.textSelection

https://gerrit.wikimedia.org/r/205010

Just for completness:

That's how the actual change would look like (for a user in bucket A + beta)

Since the patch is done, and 137 days old, was started before the reorg, and your e-mail only got a response from Adam Baso I think we should merge this. I think it's unfair of you as a volunteer and I apologise for the confusion here.

Even if the plan is to remove the mobile editing code, I suspect it will be a useful bit of reference data about what impact a toolbar has on wikitext editing. I think going forward though we should probably avoid working on the editor until we have a clearer idea how this will be owned by the editing vertical.

@Jdforrester-WMF if you have any strong reasons not to do this, please let me know asap on this task

@Jdlrobson I welcome that! @dr0ptp4kt, @Jdforrester-WMF and me met yesterday and as far as I know, Adam will sent an e-mail to mobile-l about the results. I would suggest to wait for a comment of @Jdforrester-WMF what he thinks, but not too long :P

I fully agree with your points, it's only in beta mode (and the the code is nearly "for free" (already written, reviewed by some Reading-web people, and in a working state), so we can only benefit from that and remove the code whenever we think it's time to do so.

From my side: I don't plan to improve the mobile editing experience in MobileFrontend itself and hope to see any forward in VE in the next time (any further things, Adam will explain shortly in his e-mail, i'm sure) :)

It's been a week, can we move forward with this @Jdlrobson?

Change 194945 merged by jenkins-bot:
Add a new Wikitext editor with very basic formatting features

https://gerrit.wikimedia.org/r/194945

I'm not sure, but should this be announced to the users?

@Florian This change will be riding the train tomorrow. Let's QA it in Beta cluster today, and in testwiki from tomorrow till thursday.

I would announce it in the mailing list after Thursday once it is available on all the wikis. It would be great if you could send an email after it is visible on enwiki :D

Jdlrobson triaged this task as Low priority.Sep 16 2015, 5:22 PM

@Florian is this task complete? I guess we need a new task to number crunch the data and make this the default or turn off depending on whether it encourages more edits/gets usage in the majority of sessions?

Florian closed this task as Resolved.Nov 22 2015, 8:31 PM

@Jdlrobson: Sorry for not responding: Yes, the task is closed. If we promote this feature or not, can/should be discussed in another task (maybe with the help of the Editing department :)).